package com.iformall.enums;


/**
 * @author luozukai
 */

public enum EnumFlowContractType {

    // 1租赁合同 2点位合同 3物业 4点位物业合同
    RENT(1, "租赁合同"),
    RENT_POINT(2, "租赁点位合同"),
    PROPERTY(3,"物业合同"),
    PROPERTY_POINT(4, "点位物业合同"),
    WHOLE_SHOP(5, "合并合同(店铺)"),
    WHOLE_POINT(6, "合并合同(点位)")
    ;

    public static EnumFlowContractType getEnum(Integer code) {
        for (EnumFlowContractType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumFlowContractType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
